OpenVDB 3.2.0

Public Types | Static Public Member Functions | List of all members
TreeAdapter< tree::ValueAccessor< _TreeType > > Struct Template Reference

Partial specialization for ValueAccessor types. More...

`#include <Grid.h>`

## Public Types
typedef _TreeType | TreeType
typedef boost::remove_const< TreeType >::type | NonConstTreeType
typedef TreeType::Ptr | TreePtrType
typedef TreeType::ConstPtr | ConstTreePtrType
typedef NonConstTreeType::Ptr | NonConstTreePtrType
typedef Grid< TreeType > | GridType
typedef Grid< NonConstTreeType > | NonConstGridType
typedef GridType::Ptr | GridPtrType
typedef NonConstGridType::Ptr | NonConstGridPtrType
typedef GridType::ConstPtr | ConstGridPtrType
typedef TreeType::ValueType | ValueType
typedef tree::ValueAccessor< TreeType > | AccessorType
typedef tree::ValueAccessor< const TreeType > | ConstAccessorType
typedef tree::ValueAccessor< NonConstTreeType > | NonConstAccessorType

## Static Public Member Functions
static TreeType & | tree (TreeType &t)
static TreeType & | tree (GridType &g)
static TreeType & | tree (AccessorType &a)
static const TreeType & | tree (const TreeType &t)
static const TreeType & | tree (const GridType &g)
static const TreeType & | tree (const AccessorType &a)
static const TreeType & | constTree (TreeType &t)
static const TreeType & | constTree (GridType &g)
static const TreeType & | constTree (const TreeType &t)
static const TreeType & | constTree (const GridType &g)

## Detailed Description

### template<typename _TreeType>
struct openvdb::v3_2_0::TreeAdapter< tree::ValueAccessor< _TreeType > >

Partial specialization for ValueAccessor types.

## Member Typedef Documentation

## ◆ AccessorType

typedef tree::ValueAccessor<TreeType> AccessorType

## ◆ ConstAccessorType

typedef tree::ValueAccessor<const TreeType> ConstAccessorType

## ◆ ConstGridPtrType

typedef GridType::ConstPtr ConstGridPtrType

## ◆ ConstTreePtrType

typedef TreeType::ConstPtr ConstTreePtrType

## ◆ GridPtrType

typedef GridType::Ptr GridPtrType

## ◆ GridType

typedef Grid<TreeType> GridType

## ◆ NonConstAccessorType

typedef tree::ValueAccessor<NonConstTreeType> NonConstAccessorType

## ◆ NonConstGridPtrType

typedef NonConstGridType::Ptr NonConstGridPtrType

## ◆ NonConstGridType

typedef Grid<NonConstTreeType> NonConstGridType

## ◆ NonConstTreePtrType

typedef NonConstTreeType::Ptr NonConstTreePtrType

## ◆ NonConstTreeType

typedef boost::remove_const<TreeType>::type NonConstTreeType

## ◆ TreePtrType

typedef TreeType::Ptr TreePtrType

## ◆ TreeType

typedef _TreeType TreeType

## ◆ ValueType

typedef TreeType::ValueType ValueType

## Member Function Documentation

## ◆ constTree() [1/4]

static const TreeType& constTree | ( | TreeType & | t | ) |
| inline static

## ◆ constTree() [2/4]

static const TreeType& constTree | ( | GridType & | g | ) |
| inline static

## ◆ constTree() [3/4]

static const TreeType& constTree | ( | const TreeType & | t | ) |
| inline static

## ◆ constTree() [4/4]

static const TreeType& constTree | ( | const GridType & | g | ) |
| inline static

## ◆ tree() [1/6]

static TreeType& tree | ( | TreeType & | t | ) |
| inline static

## ◆ tree() [2/6]

static TreeType& tree | ( | GridType & | g | ) |
| inline static

## ◆ tree() [3/6]

static TreeType& tree | ( | AccessorType & | a | ) |
| inline static

## ◆ tree() [4/6]

static const TreeType& tree | ( | const TreeType & | t | ) |
| inline static

## ◆ tree() [5/6]

static const TreeType& tree | ( | const GridType & | g | ) |
| inline static

## ◆ tree() [6/6]

static const TreeType& tree | ( | const AccessorType & | a | ) |
| inline static

The documentation for this struct was generated from the following file:

- Grid.h